package cz.senslog.connector.model.fieldclimate;

import java.util.Map;

import static cz.senslog.connector.tools.json.BasicJson.objectToJson;

public class SensorDataInfo {

    private String name;

    private Long ch;

    private Long code;

    private String serial;

    private String mac;

    private Map<String, Integer> aggr;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getCh() {
        return ch;
    }

    public void setCh(Long ch) {
        this.ch = ch;
    }

    public Long getCode() {
        return code;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public Map<String, Integer> getAggr() {
        return aggr;
    }

    public void setAggr(Map<String, Integer> aggr) {
        this.aggr = aggr;
    }

    @Override
    public String toString() {
        return objectToJson(this);
    }
}
